<?php 
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright ? 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Advertisment rotator 1.00
| Author: Douwe Yntema
| Download:
| http://www.morraruters.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/header.php";

require_once INFUSIONS."ad_rotator/infusion_db.php";
require_once INFUSIONS."ad_rotator/includes/functions.php";

if (!checkrights("AR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ad_rotator/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ad_rotator/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ad_rotator/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['adro_651'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['adro_652'];
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['adro_653'];
	} elseif ($_GET['status'] == "stu") {
		$message = $locale['adro_681'];		
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (!isset($_GET['section']) || ($_GET['section'] != "settings" && $_GET['section'] != "advertising")) {
	$section = "advertising";
} else {
	$section = $_GET['section'] == "settings" ? "settings" : "advertising";
}

// Fetch settings from DB
$adro_config = array();
$recordset=dbquery("SELECT  *  FROM ".DB_ADVERTSETTINGS." ORDER BY settings_name DESC");
while ($row = dbarray($recordset)){
	$adro_config[$row['settings_name']] = $row['settings_value'];
}

echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td width='25%' class='tbl2' align='center'><a class='small' href='".ADMIN."index.php".$aidlink."'><b>".$locale['adro_628']."</b></a></td>

<td width='25%' class='".($section == "settings" ? "tbl1" : "tbl2")."' align='center'><span class='small'>".($section == "settings" ? "<b>".$locale['adro_629']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=settings'><b>".$locale['adro_629']."</b></a>")."</span></td>

<td width='25%' class='".($section == "advertising" ? "tbl1" : "tbl2")."' align='center'><span class='small'>".($section == "advertising" ? "<b>".$locale['adro_630']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=advertising'><b>".$locale['adro_630']."</b></a>")."</span></td>

</tr>";

echo "</table>";

switch($section)
{
case "settings":

	if (isset($_POST['savesettings'])) {
	$error = 0;
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['image_dest'])."' WHERE settings_name='image_dest'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['image_maxw'])."' WHERE settings_name='image_maxw'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['image_maxh'])."' WHERE settings_name='image_maxh'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['image_thumbh'])."' WHERE settings_name='image_thumbh'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['num_thumbs'])."' WHERE settings_name='num_thumbs'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_ADVERTSETTINGS." SET settings_value='".stripinput($_POST['thumbs_interval'])."' WHERE settings_name='thumbs_interval'");
	if (!$result) { $error = 1; }	
	redirect(FUSION_SELF.$aidlink."&error=".$error."&status=stu&amp;section=settings");
	}
	
	$formaction = FUSION_SELF.$aidlink."&amp;section=settings";
	
	echo "<form name='settingsform' method='post' action='$formaction'>\n";	
	echo "<table cellpadding='0' cellspacing='1' class='center' border='0'>\n";
	echo "<tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_660']."</td>\n";
	echo "<td class='tbl'><input type='text' name='image_dest' class='textbox' value='".$adro_config['image_dest']."'></td>\n";
	echo "</tr></tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_661']."</td>\n";
	echo "<td class='tbl'><input type='text' name='image_maxw' class='textbox' value='".$adro_config['image_maxw']."'  maxlength='4'></td>\n";
	echo "</tr><tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_662']."</td>\n";
	echo "<td class='tbl'><input type='text' name='image_maxh' class='textbox' value='".$adro_config['image_maxh']."'  maxlength='4'></td>\n";
	echo "</tr><tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_663']."</td>\n";
	echo "<td class='tbl'><input type='text' name='image_thumbh' class='textbox' value='".$adro_config['image_thumbh']."'  maxlength='4'></td>\n";
	echo "</tr><tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_664']."</td>\n";
	echo "<td class='tbl'><input type='text' name='num_thumbs' class='textbox' value='".$adro_config['num_thumbs']."'  maxlength='3'></td>\n";
	echo "</tr><tr>";
	echo "<td width='50%' class='tbl'>".$locale['adro_665']."</td>\n";
	echo "<td class='tbl'><input type='text' name='thumbs_interval' class='textbox' value='".$adro_config['thumbs_interval']."'  maxlength='5'></td>\n";
	echo "</tr>";
	echo "<tr> <td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['adro_680']."' class='button' /></td>\n";
	echo "</tr>";
	echo "</form>";	
	echo "</table>";
	

break;


case "advertising":

// Define heigth of preview
$heigth= $adro_config['image_thumbh'];

if (isset($_POST['ad_save'])) {

			$ad_name = ($_FILES['ad_image']['error'] === 0) ? ad_save() : trim(stripinput($_POST['ad_name']));
			$ad_url = stripinput(trim($_POST['ad_url']));
			$ad_width = stripinput(trim($_POST['ad_width']));
			$ad_heigth = stripinput(trim($_POST['ad_heigth']));
			$ad_active = stripinput(trim($_POST['ad_active']));
	
}
if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['ad_id']) && isnum($_GET['ad_id']))) {
		$result = dbquery("SELECT * FROM ".DB_ADVERT." WHERE ad_id='".$_GET['ad_id']."'"); 
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			if (!strstr($data['ad_image'], "http://")) {
				$image = BASEDIR.$data['ad_image'];
				unlink ($image);
			}
			$result = dbquery("DELETE FROM ".DB_ADVERT." WHERE ad_id='".$_GET['ad_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=dely&amp;section=advertising");
		} 
		

	
} elseif ((isset($_GET['action']) && $_GET['action'] == "off") && (isset($_GET['ad_id']) && isnum($_GET['ad_id']))) {
		$result = dbquery("UPDATE ".DB_ADVERT." SET ad_active='0' WHERE ad_id='".$_GET['ad_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=su&amp;section=advertising");
	
} elseif ((isset($_GET['action']) && $_GET['action'] == "on") && (isset($_GET['ad_id']) && isnum($_GET['ad_id']))) {
		$result = dbquery("UPDATE ".DB_ADVERT." SET ad_active='1' WHERE ad_id='".$_GET['ad_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=su&amp;section=advertising");

} elseif ((isset($_GET['action']) && $_GET['action'] == "save_edit") && (isset($_GET['ad_id']) && isnum($_GET['ad_id']))) {
			$result = dbquery("UPDATE ".DB_ADVERT." SET ad_image='$ad_name', ad_url='$ad_url', ad_width='$ad_width', ad_heigth='$ad_heigth',
								ad_active='$ad_active' WHERE ad_id='".$_GET['ad_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=su&amp;section=advertising");
	
} elseif ((isset($_GET['action']) && $_GET['action'] == "save_new")) {
			$result = dbquery("INSERT INTO ".DB_ADVERT." (ad_image, ad_url, ad_width, ad_heigth,
									ad_active)
									VALUES ('$ad_name', '$ad_url', '$ad_width', '$ad_heigth',
											'$ad_active')");
	redirect(FUSION_SELF.$aidlink."&status=sn&amp;section=advertising");
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['ad_id']) && isnum($_GET['ad_id']))) {
		$result = dbquery("SELECT * FROM ".DB_ADVERT." WHERE ad_id='".$_GET['ad_id']."'");
		if (dbrows($result)) {
			// Values from DB
			$data = dbarray($result);
			$ad_image = "";
			$ad_name = $data['ad_image'];
			$ad_url = $data['ad_url'];
			$ad_width = $data['ad_width'];
			$ad_heigth = $data['ad_heigth'];;
			$ad_active = $data['ad_active'];
			
			$formaction = FUSION_SELF.$aidlink."&amp;action=save_edit&amp;ad_id=".$data['ad_id']."&amp;section=advertising";
			$openTable = $locale['adro_520'];
		}	

} else {	// New ad
	$ad_image = "";
	$ad_name = "";
	$ad_url = "";
	$ad_width = 150;
	$ad_heigth = 150;
	$ad_active = 0;
	$formaction = FUSION_SELF.$aidlink."&amp;action=save_new&amp;section=advertising";
	$openTable = $locale['adro_521'];
}
opentable($openTable);
echo "<form enctype='multipart/form-data' name='ad_add' method='post' action='$formaction'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center' > \n<tr>\n";
echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['adro_531']."</td>\n";
echo "<td colspan = '4' class='tbl'><input type='file' name='ad_image' class='textbox' style='width:400px;' />";
echo "<input name='ad_name' type='text'  class='textbox' style='width:400px;' value='".$ad_name."'>";
	$width= ($heigth/$ad_heigth)* $ad_width;
	if (!empty($data['ad_image'])) {
	ai_photothumb ($data['ad_image'],$data['ad_url'],$width,$heigth);
	}
echo "</td></tr>\n<tr>\n";
echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['adro_532']."</td>\n";
echo "<td class='tbl' style='white-space:nowrap'><input type='text' name='ad_width' value='".$ad_width."' class='textbox' style='width:35px;' /> </td>\n";
echo "<td class='tbl' style='white-space:nowrap'>".$locale['adro_533']."</td>\n";
echo "<td class='tbl' style='white-space:nowrap'><input type='text' name='ad_heigth' value='".$ad_heigth."' class='textbox' style='width:35px;' /></td>\n";
echo "<td class='tbl' style='white-space:nowrap'>px </td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['adro_534']."</td>\n";
echo "<td colspan = '4' class='tbl'><input type='text' name='ad_url' value='".$ad_url."' class='textbox' style='width:400px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['adro_535']."</td>\n";
echo "<td colspan = '4' class='tbl'><select name='ad_active' class='textbox' style='width:150px;'>";
echo "<option value='1'".($ad_active == 1 ? " selected='selected'" : "").">".$locale['adro_515']."</option>\n";
echo "<option value='0'".($ad_active == 0 ? " selected='selected'" : "").">".$locale['adro_516']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='5' class='tbl'>\n";
echo "<input type='submit' name='ad_save' value='".$locale['adro_539']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();	
	

// Activated ads
opentable($locale['adro_501']);
echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
$i = 0;
$result = dbquery("SELECT * FROM ".DB_ADVERT." WHERE ad_active = '1' ORDER BY ad_url DESC ");

if (dbrows($result)) {
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_510']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_511']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_513']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_512']."</strong></td>\n";
	echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_514']."</strong></td>\n";
	echo "</tr>\n";
	while ($data = dbarray($result)) {
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
		echo "<tr>\n";
		echo "<td class='$row_color'>". trimlink($data['ad_url'],30)."</td>";
		echo "<td class='$row_color'>". trimlink($data['ad_image'],30)."</td>";
		echo "<td class='$row_color'>". $data['ad_width']."X".$data['ad_heigth']."</td>";		
		echo "<td class='$row_color'>";
		$width= ($heigth/$data['ad_heigth'])* $data['ad_width'];
		if (!empty($data['ad_image'])) {
			ai_photothumb ($data['ad_image'],$data['ad_url'],$width,$heigth);
			}
		else {
		echo " ";
		}
		echo "</td>";
		echo "<td align='center' width='1%' style='white-space:nowrap' class='$row_color'><a href='".FUSION_SELF.$aidlink."&amp;action=off&amp;ad_id=".$data['ad_id']."'&amp;section=advertising>".$locale['adro_516']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;ad_id=".$data['ad_id']."'&amp;section=advertising>".$locale['adro_517']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;ad_id=".$data['ad_id']."' onclick=\"return confirm('".$locale['adro_519']."');\"&amp;section=advertising>".$locale['adro_518']."</a></td>\n";
		echo "</tr>";
		}
}
echo "</table>";
closetable();

// Inactivated ads
opentable($locale['adro_502']);
echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
$i = 0;
$result = dbquery("SELECT * FROM ".DB_ADVERT." WHERE ad_active = '0' ORDER BY ad_url DESC ");

if (dbrows($result)) {
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_510']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_511']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_513']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_512']."</strong></td>\n";
	echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['adro_514']."</strong></td>\n";
	echo "</tr>\n";
	while ($data = dbarray($result)) {
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
		echo "<tr>\n";
		echo "<td class='$row_color'>". trimlink($data['ad_url'],30)."</td>";
		echo "<td class='$row_color'>". trimlink($data['ad_image'],30)."</td>";
		echo "<td class='$row_color'>". $data['ad_width']."X".$data['ad_heigth']."</td>";		
		echo "<td class='$row_color'>";
		$width= ($heigth/$data['ad_heigth'])* $data['ad_width'];
		if (!empty($data['ad_image'])) {
			ai_photothumb ($data['ad_image'],$data['ad_url'],$width,$heigth);
			}
		else {
		echo " ";
		}
		echo "</td>";
		echo "<td align='center' width='1%' style='white-space:nowrap' class='$row_color'><a href='".FUSION_SELF.$aidlink."&amp;action=on&amp;ad_id=".$data['ad_id']."'&amp;section=advertising>".$locale['adro_515']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;ad_id=".$data['ad_id']."'&amp;section=advertising>".$locale['adro_517']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;ad_id=".$data['ad_id']."' onclick=\"return confirm('".$locale['adro_519']."');\"&amp;section=advertising>".$locale['adro_518']."</a></td>\n";
		echo "</tr>";
		}
}

echo "</table>";
closetable();

}	// end case
echo "<br />\n<div class='small' align='right'>Code by <a href='http://www.douwe.schoonheidssalonanneke.nl' target='_blank'>douwe@schoonheidssalonanneke.nl</a></div>\n";
// Please, respect my work and keep the copyright notice!

require_once THEMES."templates/footer.php";
?>
				  
