<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Advertisment rotator 1.00
| Author: Douwe Yntema
| Download:
| http://www.morraruters.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."photo_functions_include.php";
function ai_photothumb ($cPhoto, $cUrl, $iWidth=0, $iHeigth=0)
{    
		if (!empty($cPhoto))
		{
			if ($iWidth > 0)  { $cWidth = " width='".$iWidth."' "; } else { $cWidth = ""; }
			if ($iHeigth > 0)  { $cHeigth = " height='".$iHeigth."' "; } else { $cHeigth = ""; }
			
			$photo_name = strtolower(substr($cPhoto, 0, strrpos($cPhoto, ".")));
			$photo_ext = strtolower(strrchr($cPhoto,"."));
			if (!strstr($cPhoto, "http://")) {
				$photo_url = BASEDIR.$cPhoto;
				} else {
				$photo_url = $cPhoto;
				}
			if (strlen(trim($cUrl))>0){	// No link if url = empty
				echo ("<a href='".$cUrl."'target=\"_blank\" >");
				echo ("<img src='".$photo_url."' border='0' ".$cWidth.$cHeigth."/></a>");
			} else {
				echo ("<img src='".$photo_url."' border='0' ".$cWidth.$cHeigth."/>");
			}
			
		}
}


/**
 * Tests all upload fields to determine whether any files were submitted.
 * 
 * @return boolean
 */
function files_uploaded() {

    // bail if there were no upload forms
   if(empty($_FILES))
        return false;

    // check for uploaded files
    $files = $_FILES['files']['tmp_name'];
    foreach( $files as $field_title => $temp_name ){
        if( !empty($temp_name) && is_uploaded_file( $temp_name )){
            // found one!
            return true;
        }
    }   
    // return false if no files were found
   return false;
}


function ad_save () {
global $adro_config;
define("UPLOAD_DIR", IMAGES.$adro_config['image_dest']);

 
if (!empty($_FILES["ad_image"])) {
    $myFile = $_FILES["ad_image"];
 
    if ($myFile["error"] !== UPLOAD_ERR_OK) {
        echo "<p>An error occurred.</p>";
        exit;
    }
 
    // ensure a safe filename
    $name = preg_replace("/[^A-Z0-9._-]/i", "_", $myFile["name"]);
 
    // don't overwrite an existing file
    $i = 0;
    $parts = pathinfo($name);
    while (file_exists(UPLOAD_DIR . $name)) {
        $i++;
        $name = $parts["filename"] . "-" . $i . "." . $parts["extension"];
    }
 
    // preserve file from temporary directory
    $success = move_uploaded_file($myFile["tmp_name"],
        UPLOAD_DIR . $name);
    if (!$success) {
        echo "<p>Unable to save file.</p>";
        exit;
    }
 
    // set proper permissions on the new file
    chmod(UPLOAD_DIR . $name, 0644);
}
return  UPLOAD_DIR.$name;
}


?>