<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Advertisment rotator 1.00
| Author: Douwe Yntema
| Download:
| http://www.morraruters.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."ad_rotator/infusion_db.php";

// Load locale file
if (file_exists(INFUSIONS."ad_rotator/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ad_rotator/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ad_rotator/locale/English.php";
}

// Infusion general information
$inf_title = $locale['adro_100'];
$inf_description = $locale['adro_101'];
$inf_version = "1.00";
$inf_developer = "Douwe Yntema";
$inf_email = "douwe@schoonheidssalonanneke.nl";
$inf_weburl = "http://www.douwe.schoonheidssalonanneke.nl";

$inf_folder = "ad_rotator";

$inf_adminpanel[1] = array(
	"title" => $locale['adro_100'],
	"image" => "../../infusions/ad_rotator/images/rotator.jpg",
	"panel" => "admin/adro_admin.php",
	"rights" => "AR"
);


$inf_newtable[1] = DB_ADVERT." (
ad_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
ad_image varchar(200) NOT NULL default '',
ad_url varchar(200) NOT NULL default '',
ad_width int( 5 ) default NULL,
ad_heigth int( 5 ) default NULL,
ad_active tinyint( 1 ) default NULL,
PRIMARY KEY (ad_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_ADVERTSETTINGS." (
settings_name varchar(200) NOT NULL default '',
settings_value text NOT NULL,
PRIMARY KEY  (settings_name)
) ENGINE=MyISAM;";

// ad_rotator_panel
$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status ) VALUES ('".$locale['adro_100']."',
 'ad_rotator_panel','2','0','file','0','0','1')"; 

 // Settings
$inf_insertdbrow[2] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('image_dest','/ads')"; 
$inf_insertdbrow[3] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('image_maxw','1024')"; 
$inf_insertdbrow[4] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('image_maxh','800')"; 
$inf_insertdbrow[5] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('image_thumbh','25')"; 
$inf_insertdbrow[6] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('num_thumbs','3')"; 
$inf_insertdbrow[7] = DB_ADVERTSETTINGS." (settings_name, settings_value) VALUES ('thumbs_interval','3500')"; 
 
 
$inf_droptable[1] = DB_ADVERT;
$inf_droptable[2] = DB_ADVERTSETTINGS;



$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='ad_rotator_panel'";


?>
